local gVFSAimOldVersion = engine.VFSBool.New("Old Aim Nav Camera")
local VFSPrevVal = gVFSAimOldVersion.value
local playerCreature = game.Player.FindPlayer()
local AimDistanceOld = 1.35
local AimAngleOfViewOld = 69.38
local AimFStopOld = 2.8
local AimFocalDistanceOld = 6
local AimDistanceNew = 1.8
local AimAngleOfViewNew = 69
local AimFStopNew = 2.8
local AimFocalDistanceNew = 6
function OnScriptLoaded(level, camera)
  playerCreature = game.Player.FindPlayer()
end
function OnUpdate(level, camera)
  if playerCreature == nil then
    playerCreature = game.Player.FindPlayer()
  end
  if VFSPrevVal ~= gVFSAimOldVersion.value then
    if gVFSAimOldVersion.value == true then
      camera.Distance = AimDistanceOld
      camera.AngleOfView = AimAngleOfViewOld
      camera.FStop = AimFStopOld
      camera.FocusDistance = AimFocalDistanceOld
    elseif gVFSAimOldVersion.value == false then
      camera.Distance = AimDistanceNew
      camera.AngleOfView = AimAngleOfViewNew
      camera.FStop = AimFStopNew
      camera.FocusDistance = AimFocalDistanceNew
    end
  end
  VFSPrevVal = gVFSAimOldVersion.value
end
function OnTeardown(level, camera)
end
function OnSaveCheckpoint(level)
end
function OnRestoreCheckpoint(level, go, tab)
end
